# Project goal
This project **helps you to segment your customers depending on their purchasing behavior, so that you can have more tailored interactions with them**. 
It will let you easily identify your best/worst customers:
  - The ones that are the most/less **R**ecent.
  - The ones that purchase the most/less **F**requently
  - The ones that had that generated the most/less **M**onetary value.
  
This is known as the ***RFM segmentation***  ([Learn more about this segmentation technique](article:13)).


# Project value
By helping you to segment your customer purchasing behavior with a data driven approach, the project answers several needs, among which: 

## I want an overview of my customer purchasing behavior
![webapp_segments_by_monetary_value.png](iv8BvdpWKuM7)

Visualization above :arrow_up: is one of the analyses available in the [project's webapp](article:8). 
It helps you to analyze the distribution of your customer segments depending on their respective monetary value. 
You can leverage this information to:
- Learn the purchasing characteristics of your customers.
- Identify your *(on the way to be)* inactive customers.
- Optimize your customers' retention.
- Adapt your marketing strategy to your customers' segments distributions.
- Improve the way you communicate with your customers by better identifying the ones that are loyal or at risk as well as the in-between ones.

The [RFM Segmentation dashboard](dashboard:V3bvyr2) will let you dive into each of these segments so that you have information on both their content and their sizes.


## I want to see how my customers evolve over time

![segment_labels_transitions.png](CsTwEtgEyI0h)

Visualization above :arrow_up: is an analysis of the observed transitions between customers belonging segments from one RFM assessment to another. It will help you to understand how your customers tend to change: information that will help you to tailor your communication strategy and prioritize the segments you want to interact with.
[Learn more about the RFM transitions](article:52)


The project will also allow you to track how your RFM scores evolved over time, as illustrated on the picture below :arrow_down:
![rfm_scores_over_time.png](FtrwtuN3kU4a)
[Learn more about the RFM scores evolution over time](article:53)
