# Flow zone presentation

The [rfm_propagation_last_dates](flow_zone:qs4TllM) is dedicated to analyze the most recent customer information.

![rfm_propagation_last_dates.png](1AXfEcIGr4Hd)

- Recipe [compute_last_customer_rfm_segments](recipe:compute_last_customer_rfm_segments) looks for all the **customer_id** x **month of year** purchase interactions in order to filter customers RFM data on the last information we have for each customer. It generates the dataset [last_customer_rfm_segments](dataset:last_customer_rfm_segments).

- Recipe [compute_last_customer_rfm_segments_recent_dates](recipe:compute_last_customer_rfm_segments_recent_dates) then filters data in order to let you see customer RFM information in the range [current_month - T ; current_month], for each month; where **T** corresponds to the number of months taken into account when the RFM was computed in the reference period. It generates the dataset [last_customer_rfm_segments_recent_dates](dataset:last_customer_rfm_segments_recent_dates).

- Finally, recipe [compute_inactive_customers](recipe:compute_inactive_customers) filters [last_customer_rfm_segments](dataset:last_customer_rfm_segments) so that we get the list of all the customers that did not purchased "recently" (<-->  we get here all the customers that are not present in [last_customer_rfm_segments_recent_dates](dataset:last_customer_rfm_segments_recent_dates)). It generates the dataset [inactive_customers](dataset:inactive_customers).


