# Flow zone presentation

The [rfm_propagation_transitions](flow_zone:jujgIMk) is dedicated to analyze the transitions between the different RFM segments and scores.

![rfm_propagation_transitions.png](U65TfYwbv734)


- Recipe [compute_all_customer_rfm_transitions](recipe:compute_all_customer_rfm_transitions) has the role to compute the transitions between the RFM features associated with **customer_id** x **purchasing month of year** AND RFM features associated with **same customer_id** x **next purchasing month of year**.

- Recipe [compute_all_customer_rfm_transitions_prepared](recipe:compute_all_customer_rfm_transitions_prepared) prepares this transitions data so that it can be more easily used and analyzed later.

- Finally, recipes [compute_segment_label_transitions](recipe:compute_segment_label_transitions),  [compute_recency_transitions](recipe:compute_recency_transitions),  [compute_frequency_transitions](recipe:compute_frequency_transitions),   [compute_monetary_value_transitions](recipe:compute_monetary_value_transitions) and [compute_density_transitions](recipe:compute_density_transitions), respectively count the transitions between "segment_labels", "recency_scores", "frequency_scores", "monetary_value_scores" and "density_scores". 
These transitions can then be analyzed in the [RFM Propagation dashboard](article:47) with Sankey diagrams.


