# Section presentation

The *Transactions preprocessing* section enables you define how you want the transactions to be transformed before the association rule process.

![dataiku_app_transactions_preprocessing.png](dNdmFk8fN0gp)
 
# Section interactions
 
## Columns identification

![columns_identication.png](BQL1nCXjBqq0) 

You can here establish the mapping between your input transaction table schema and the columns used in the use case. Thus, you will have to set the below parameters :

- *Items identifier column*: This is the name of the column identifying each product.
- *Items quantity identifier column*: This is the name of the column informing the quantity of product copies purchased in the same basket.
- *Items price identifier column*: This is the name of the column informing the unit price of each product.
- *Transactions identifier column*: This is the name of the column identifying each single transaction.
- *Transaction date column*: This is the name of the column flagging each transaction date.
- *Customers identifier column*: This is the name of the column identifying each customer.
 
## Dates format
 
![dates_format.png](TSFOuTO3xEdK)

We recommend the input transaction table to have  its dates in a **[DSS non ambiguous dates format](https://doc.dataiku.com/dss/latest/preparation/dates.html#meanings-and-types)**(ISO-8601 or RFC 822). Dates respecting that format are considered as *parsed dates*.
This menu will let you precise if your transaction dates are already parsed. If this is not the case, you will have the ability to set the format your dates are stored in so that DSS can handle their parsing.
 


