# RFM Segments explorer


[This webapp](web_app:EY4mlPQ) will let you explore the distribution of your customers within your **RFM** segments.

![webapp_homepage.png](NxHZ8PZS1DSU) 

___

# Interpreting the visualizations
![sample_project_treemap.png](OY7Hy5OThCc0)
You see above :arrow_up:  visualizations representing the **amount of customers present in each of your segments**: we name them **treemaps**. They represent a **data hierarchy** between nested branches represented as rectangles. **The wider a rectangle is, the most important it is relative to the others**.
For example, above:
- The outer branch  represents the total number of customers taken into account for displaying the chart : **9214 customers**.
- This first branch is divided into 10 sub-branches, each of them representing one of our customer segments:
  - The biggest sub-branch contains the "Hibernating" segment. It has 5624 customers. 
  - The second sub-branch contains the "Loyal customers" segment. It has 976 customers among. 
  - And so on with the remaining segments


# Webapp interactions
## Treemap exploration strategy

The treemap exploration strategy let you choose among 3 types of analysis:
- **Analyzing segments on whole data**: This treemap is a **view of the ["Recency x Frequency" segments ](article:23) occuring in your dataset, independently from their monetary value**. 
- **Analyzing segments by monetary value relative importance**: This treemap is a **view of the ["Recency x Frequency" segments ](article:23) occuring in your dataset, depending on their respective monetary value**. Thus, the first blocks represents the amount of customers having a specific monetary value: their relative surfaces let you see which segments are the most represented in your segmentation.
- **Analyzing segments split by monetary value**: Each of these treemaps is a **view, for a specific monetary value, of the ["Recency x Frequency" segments ](article:23) occuring in your dataset**.

The animation below :arrow_down: shows how change the exploration strategy: 

![treemap.gif](idMRfXqDu9qN)


*Which difference between the treemap representing the monetary value relative importance and the one splitby monetary value ?*
**The first one** will let you see easily which monetary value segments are the most represented in your dataset, but it will be hard to compare the "Recency x Frequency" segments present in each of these monetary value segments.

**The second one** will let you easily compare the "Recency x Frequency" segments present in each of these monetary value segments, but it won't be possible to have any insight about your monetary value segments relative importance.




## RFM datasource
This option :arrow_down: will only be available if you choose to enable the [RFM propagation](article:40).
![webapp_rfm_datasource.png](Hul9HsLwcazf)

It will give you the ability to choose which customers you want to analyze in the webapp:
- **Reference period customers** (default application behavior): will do a focus on customers coming from [
customer_rfm_segments](dataset:customer_rfm_segments), the dataset containing customers RFM information based on the reference period you chose.
- **Most recent dates customers**: will focus on customers coming from [last_customer_rfm_segments_recent_dates](dataset:last_customer_rfm_segments_recent_dates), the dataset containing the most recent customers RFM information.
- **Inactive customers**: will focus on customers coming from [inactive_customers](dataset:inactive_customers), the dataset containing the RFM information of your inactive customers.






