This section details all the requirements needed to use this solution.

# Instance Requirements

This solution is only compatible on instances with  **Dataiku DSS V9+**

## Code Environment
Project python recipes uses the code env **solution_rfm-segmentation**.


Required packages for this code env are: 
>dateparser==1.0.0
regex==2022.3.2
scikit-learn>=0.20,<0.21
Flask==2.0.2
plotly==5.5.0
nbformat==4.2.0
matplotlib==3.3.4

## Mandatory plugins

You will need to install on your DSS instance: 
- [dataiku's sankey charts plugin](https://www.dataiku.com/product/plugins/flow-charts/).


### Installing a DSS plugin
[Learn how to install a DSS plugin](https://doc.dataiku.com/dss/latest/plugins/installing.html).


# Datasources requirements


Having a transactions historical is **mandatory**, since analyzing transactions is at the core of the project.

**Data format requirement**: 1 row =  The information of:
- ***A product***  (Product ID)
- ***Purchased in a basket***  (Transaction ID)
- ***In a given quantity***  (Product Quantity)
- ***At a given unit price*** (Product Price)
- ***At a given date*** (Date column)
- ***By a given customer*** (Customer ID)


# Data storage requirements

The ***RFM Segmentation*** Dataiku Application is designed to work with SQL storages.
To benefit natively from all the dataiku application automation, you will one the following connections :
- PostgreSQL
- Snowflake

Roll-out and customization services can be offered on demand for other data storage connections.



